Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCscrFrame

## Triggers

The class: WSCscrFrame has these triggers as follows.

Name | Type | Defined Value
None | Not occurs | WSEV_NONE
INITIALIZE | When the instance is initilized. | WSEV_INITIALIZE
DELETE | When the instance is released. | WSEV_DELETE
VISIBLE-CH | When the WSNvis property is changed. | WSEV_VISIBLE_CH
PARENT-VISIBLE-CH | When the visible property of the parent instance is changed. | WSEV_PARENT_VISIBLE_CH
EXPOSE | When the instance is exposed. | WSEV_EXPOSE
RESIZE | When the instance is resized. | WSEV_RESIZE
MOUSE-IN | When the mouse pointer comes into the area | WSEV_MOUSE_IN
MOUSE-OUT | When the mouse pointer goes out of the area. | WSEV_MOUSE_OUT
MOUSE-PRESS | When the mouse pointer is pressed. | WSEV_MOUSE_PRESS
MOUSE-RELEASE | When the mouse pointer is released. | WSEV_MOUSE_RELEASE
MOUSE-MOVE | When the mouse pointer moves in the area. | WSEV_MOUSE_MOVE

## Specification of the triggers

- WSEV_NONE (Not occurs.)
  Function
    It does not occurs by the Wide Studio event loop.
  Notice
    It only occurs by the function call: execProcedure() of user .

- WSEV_INITIALIZE (When the instance is initialized.)
  Function
    It will be executed once after the event procedures are added with this trigger.
  Notice
    It is not strictly when the instance is created.

- WSEV_DELETE (When the instance is deleted)
  Function
    It occurs when the instance is deleted.
  Notice
    You may not access the methods of the instance except for getUserData(),because it occurs after the destructor is called.

- WSEV_VISIBLE_CH (When the WSNvis property is changed.)
  Function
    It occurs when the WSNvis property is changed.
  Notice

- WSEV_PARENT_VISIBLE_CH (When the WSNvis property of the parent instance is changed.)
  Function
    It occurs when the WSNvis property of the parent instance is changed.
  Notice

- WSEV_EXPOSE (When the instance is exposed.)
  Function
    It occurs when the instance is exposed and needs painting the exposed area.
  Notice

- WSEV_RESIZE (When the instace is resized.)
  Function
    It occurs when the instance is resized.
  Notice

- WSEV_MOUSE_IN (When the mouse pointer comes into the area)
  Function
    It occurs when the mouse pointer comes into the area.
  Notice

- WSEV_MOUSE_OUT (When the mouse pointer goes out of the area.)
  Function
    It occurs when the mouse pointer goes out of the area.
  Notice

- WSEV_MOUSE_PRESS (When the mouse pointer is pressed.)
  Function
    It occurs when the mouse pointer is pressed.
  Notice

- WSEV_MOUSE_RELEASE (When the mouse pointer is released in the area.)
  Function
    It occurs when the mouse pointer is released in the area.
  Notice

- WSEV_MOUSE_MOVE (When the mouse pointer moves in the area.)
  Function
    It occurs when the mouse pointer moves in the area.
  Notice

Document Release 3.70
For use with Wide Studio Release 3.70, Spring 2004

Wide Studio Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004